Quassel IRC - Bug #210

Quakenet/snircd whois reply RPL_WHOISACCOUNT
07/05/2008 02:25 PM - al

Status: Resolved Start date:

Priority: Low Due date:

Assignee: johu % Done: 100%
Category: General / Unspecified Estimated time: 1.00 hour
Target version: 0.7.0

Version: 0.6.1 0S: Any
Description

Authed users in Quakenet/snircd have their account name as reply RPL_WHOISACCOUNT in the whois data. This is currently
printed out unformatted.

Associated revisions

Revision 38e0c303f59d3f6654bff6d5f97ab778a443b7b1 - 07/11/2008 04:45 PM - Marcus Eggenberger

network specific whois fields are now cought in a nice way (fixing BR #210)

Revision 38e0c303 - 07/11/2008 04:45 PM - Marcus Eggenberger

network specific whois fields are now cought in a nice way (fixing BR #210)

Revision 9ad4372382f59d13f8073e7599b06b57a7c0d2b6 - 07/11/2008 04:45 PM - Marcus Eggenberger

network specific whois fields are now cought in a nice way (fixing BR #210)

Revision 9ad43723 - 07/11/2008 04:45 PM - Marcus Eggenberger

network specific whois fields are now cought in a nice way (fixing BR #210)

Revision 1dbf78385e2904b3a9%a3de48b85381c312c74ef8 - 08/25/2010 10:28 AM - johu

handler for RPL_WHOISACCOUNT(330), fixes #210
we handled it already in default case for numeric replies, but the
output for 330 was not well formed (see bug request).

Revision 1dbf7838 - 08/25/2010 10:28 AM - johu

handler for RPL_WHOISACCOUNT(330), fixes #210
we handled it already in default case for numeric replies, but the
output for 330 was not well formed (see bug request).

History

#1 - 07/11/2008 04:46 PM - EgS

unknown whois fields are now handled in a nice way.
-> fixed in current git
#2 - 09/07/2009 09:22 PM - Gentle
- Status changed from Resolved to Feedback
- Version set to 0.4.2
- OS set to Any
the new behavior still seems to break one reply
® [Whois] XXX YYY is authed as
where XXX is the Nickname and YYY is the Quakenet account name

#3 - 09/11/2009 01:00 AM - Sputnick
- Target version deleted (0.2.0)
#4 - 02/24/2010 03:01 AM - johu

I cant find this RPL in rfc hitp:/www.ietf.org/rfc/rfc1459.1xt, so i think this issue should be rejected.

#5 - 08/13/2010 01:42 PM - johu

- Status changed from Feedback to Assigned
- Assignee changed from EgS to johu

- Priority changed from High to Low

- Target version set to 0.7.0

- Estimated time set to 1.00 h

- Veersion changed from 0.4.2 to 0.6.1

In fact that we handle RPL_WHOISACCOUNT implicit (default case for numerics), we made the protocol break already, i changed my mind. We

should have a extra handler for that, to prettify the output.

#6 - 08/25/2010 12:51 PM - johu
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 1dbf78385e2904b3a9a3de48b85381c312c74ef8.
Files
0001-display-RPL_WHOISACCOUNT-nicely.patch 2.12KB 07/05/2008 admin
